/*
 * Unix_QrfeHidDevice.cpp
 *
 *  Created on: 14.11.2008
 *      Author: stefan.detter
 */

#include "../inc/Unix_QrfeHidDevice.h"
#include <QStringList>

Unix_QrfeHidDevice::Unix_QrfeHidDevice(QObject* parent)
	:QrfeHidBase(parent)
{

}

Unix_QrfeHidDevice::Unix_QrfeHidDevice(QString devicePath, QObject* parent)
	:QrfeHidBase(devicePath, parent)
{

}



void Unix_QrfeHidDevice::timeouts(quint32 &/*getReportTimeout*/, quint32 &/*setReportTimeout*/)
{
	return;
}

void Unix_QrfeHidDevice::setTimeouts(quint32 /*getReportTimeout*/, quint32 /*setReportTimeout*/)
{
	return;
}


QString Unix_QrfeHidDevice::getSerialString()
{
	return "";
}


bool Unix_QrfeHidDevice::open ( OpenMode mode)
{
	return QIODevice::open(mode);
}

bool Unix_QrfeHidDevice::open ( QString devicePath, OpenMode mode )
{
	m_devicePath = devicePath;
	return QIODevice::open(mode);
}

void Unix_QrfeHidDevice::close ()
{

}


bool Unix_QrfeHidDevice::isOpen()
{
	return true;
}


qint64 Unix_QrfeHidDevice::bytesAvailable () const
{
	return 0;
}

qint64 Unix_QrfeHidDevice::bytesToWrite () const
{
	return 0;
}

bool Unix_QrfeHidDevice::canReadLine () const
{
	return false;
}

bool Unix_QrfeHidDevice::isSequential () const
{
	return true;
}


bool Unix_QrfeHidDevice::flush()
{
	return true;
}


qint64 Unix_QrfeHidDevice::readData ( char * /*data*/, qint64 /*maxSize*/ )
{
	return 0;
}

qint64 Unix_QrfeHidDevice::writeData ( const char * /*data*/, qint64 /*maxSize*/ )
{
	return 0;
}


void Unix_QrfeHidDevice::resetDeviceData()
{

}


